#!/bin/ksh
# IBM Confidential 
# Licensed Materials - Property of IBM  
# Copyright IBM Corp. 2011 All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

today=$(date +%a)

SEEDS=/sspdata/mssreports/seedfile
CLICMD=/usr/opt/ibm/ibm2105cli/esscli

cat $SEEDS/shark.inp|cut -f4 -d, | while read shark
  do
  primip=$(cat $SEEDS/shark.inp|grep -iw $shark|awk -F"," '{print $5}')
  secnip=$(cat $SEEDS/shark.inp|grep -iw $shark|awk -F"," '{print $6}')
  sharksn=$(cat $SEEDS/shark.inp|grep -iw $shark|awk -F"," '{print $2}')
  sharkname=$(cat $SEEDS/shark.inp|grep -iw $shark|awk -F"," '{print $4}')
  nickname=$(cat $SEEDS/shark.inp|grep -iw $shark|awk -F"," '{print $3}')
  pw=$(cat $SEEDS/shark.inp|grep -iw $shark|awk -F"," '{print $8}')
  userid=$(cat $SEEDS/shark.inp|grep -iw $shark|awk -F"," '{print $7}')
 
  for  para in volumespace volume volumeaccess diskgroup  port server hostconnection ;do
    rep=$HOME/tmp/$para.$sharksn.tmp
    rep2=/sspdata/mssreports/raw/ess/$sharkname.$sharksn.$para.txt 
    echo " " > $rep2
    echo " " > $rep 
    echo "Running $para on $shark"
    sudo $CLICMD list $para  -s $primip -b $secnip -u $userid -p $pw -nohdr|sed s/\*/\ /g|tee $rep 
    cat $rep | while read  LINE
      do
        printf " %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s\n" $nickname $sharkname $sharksn $LINE  >> $rep2 
      done
  done
  ####
  # partially nested in loop to capture unassigned volumes.
  ####

  para=unassigned
  rep=$HOME/tmp/$para.$sharksn.tmp
  rep2=/sspdata/mssreports/raw/ess/$sharkname.$sharksn.volumesunassigned.txt 
  echo " " > $rep2
  echo " " > $rep 
  echo "Running $para on $shark"
  sudo $CLICMD list volumeaccess -s $primip -b $secnip -d "ess=2105.$sharksn volume=unassigned" -u $userid -p $pw -nohdr|tee $rep 
  cat $rep | while read volume lun size wwpn
  do
    if [[ $lun = *** ]]
         then lun='none'
    fi

    if [[ $wwpn = *** ]]
         then wwpn='none'
    fi
    printf " %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s %s\n" $nickname $sharkname $sharksn $volume $lun $size $wwpn >> $rep2
  done
done 
