#!/bin/bash
# IBM Confidential 
# Licensed Materials - Property of IBM  
# Copyright IBM Corp. 2011 All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.

 #set -v
 #set -x

outpath="/sspdata/mssreports/raw/ds4000/"
infile="/sspdata/mssreports/seedfile/fastt_list.txt"
#CMD="sudo /usr/bin/SMcli"
CMD="/opt/IBM_DS/client/SMcli"

cat $infile | while read name ip
 do

  echo "Running FAStT commands for $name at $ip"

 $CMD $ip -c "show storagesubsystem profile;" > $outpath$name.$ip.subsys_profile.txt
 $CMD $ip -c "show storagesubsystem preferredLogicalDriveOwners;" > $outpath$name.$ip.subsys_pref_lun_owner.txt
 $CMD $ip -c "show storagesubsystem healthStatus;" > $outpath$name.$ip.subsys_health.txt
 $CMD $ip -c "show storagesubsystem batteryAge;" > $outpath$name.$ip.subsys_battery.txt
 $CMD $ip -c "show storagesubsystem hostTypeTable;" > $outpath$name.$ip.subsys_hosttype.txt
 $CMD $ip -c "show storagesubsystem defaultHostType;" > $outpath$name.$ip.defaulthost.txt
 $CMD $ip -c "show storagesubsystem preferredLogicalDriveOwners;" > $outpath$name.$ip.pref_drive_owner.txt
 $CMD $ip -c "show controller [a];" > $outpath$name.$ip.controller_a.txt
 $CMD $ip -c "show controller [b];" > $outpath$name.$ip.controller_b.txt
 $CMD $ip -c "show logicalDrives;" > $outpath$name.$ip.logical_drives.txt
 $CMD $ip -c "show hostTopology;" > $outpath$name.$ip.host_topo.txt
done
